## cpufreqd 2.4.2

=== debian/changelog ===
cpufreqd (2.4.2-5) unstable; urgency=medium

  * QA upload.
  * Apply patch from upstream and Ubuntu to fix crash due to
    MAX_PATH_LEN (LP: #1162160, Closes: #734150)
    Thanks Adam Conrad <3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2023 08:14:09 +0200

cpufreqd (2.4.2-4) unstable; urgency=medium

  * QA upload.
  * Switch Build-Depends to libsensors-dev from libsensors4-dev (Closes:
    #917436).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 08 Jul 2023 12:20:49 +0200

cpufreqd (2.4.2-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #933160)
  * debian/rules: Add build-{arch,indep} (Closes: #999096).

 -- Marcos Talau <talau@debian.org>  Sun, 06 Nov 2022 13:43:54 -0300

cpufreqd (2.4.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on power : call to libcpupower *available_frequencies
    functions can be made directly since kernel 5.6.7 (Closes: #958798).

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 05 May 2020 16:12:20 +0200

cpufreqd (2.4.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on power* since linux 5.1 introduced backward incompatilities in
    libcpupower (Closes: #935692)

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 29 Aug 2019 12:30:53 +0200

cpufreqd (2.4.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on ppc64el by using libcpupower (Closes: #921099).

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 09 May 2019 18:40:03 +0200

cpufreqd (2.4.2-2) unstable; urgency=low

  * Fix reading the correct battery attribute
    (Closes: #619913 and Closes: #644567).

 -- Mattia Dongili <malattia@debian.org>  Sat, 23 Mar 2013 21:42:31 +0900

cpufreqd (2.4.2-1) unstable; urgency=low

  * New upstream release: fixes configuration with libsensors4
    (Closes: #577822).

 -- Mattia Dongili <malattia@debian.org>  Sun, 18 Apr 2010 23:08:30 +0900

cpufreqd (2.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #547483), now supports libsensors4
    (Closes: #454617) and ignores ignored features (Closes: #538950).
  * Switch to dpkg-source 3.0 (quilt) format (Closes: #538546).
  * Remove patch merged upstream

 -- Mattia Dongili <malattia@debian.org>  Sun, 28 Mar 2010 20:29:31 +0900

cpufreqd (2.3.3-4) unstable; urgency=low

  * Fix segfaulting on laptops with more than one battery,
    patch from Stefan Bühler (Closes: #509355).

 -- Mattia Dongili <malattia@debian.org>  Wed, 24 Dec 2008 22:01:17 +0900

cpufreqd (2.3.3-3) unstable; urgency=low

  * backport a patch from upstream repository fixing
    a segfault when reading a /sys device class with no
    attributes (Closes: #496288).

 -- Mattia Dongili <malattia@debian.org>  Sun, 05 Oct 2008 11:23:07 +0900

cpufreqd (2.3.3-2) unstable; urgency=low

  * backport a patch from upstream repository to support the
    ACPI thermal zone  reported as "acpitz" in /sys (Closes: #497083).

 -- Mattia Dongili <malattia@debian.org>  Mon, 08 Sep 2008 22:57:22 +0900

cpufreqd (2.3.3-1) unstable; urgency=low

  * New upstream version
  * fallback to reading change_* battery attributes if energy_* is
    not found (Closes: #495655). Patch from Goedson Teixeira Paixao
    <goedson@debian.org>.

 -- Mattia Dongili <malattia@debian.org>  Sat, 23 Aug 2008 13:29:47 +0900

cpufreqd (2.3.2-1) unstable; urgency=low

  * New upstream version (skipping 2.3.0 and 2.3.1)
  * now reads acpi data from sysfs rather than /proc (Closes: #484467)
  * plugin initialization is quieter (Closes: #400165)

 -- Mattia Dongili <malattia@debian.org>  Sat, 09 Aug 2008 16:08:22 +0900

cpufreqd (2.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change the recommends into a Recommends: acpid [amd64 i386 ia64]
    (Closes: #436647). 

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 30 Mar 2008 23:37:32 +0200

cpufreqd (2.2.1-2) unstable; urgency=low

  * Provide a more conservative config files, users owning non ondemand
    capable CPU have complained. (Closes: #400580)

 -- Mattia Dongili <malattia@debian.org>  Sun, 17 Dec 2006 17:13:57 +0100

cpufreqd (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Fix wording in README.Debian and /etc/default/cpufreq as
    suggested by Reuben Thomas. (Closes: #399105 and Closes: #399106)

 -- Mattia Dongili <malattia@debian.org>  Mon, 20 Nov 2006 22:02:13 +0100

cpufreqd (2.2.0-2) unstable; urgency=low

  * Remove all debconf stuff.
  * use Sarge's compliant character classes in sed.

 -- Mattia Dongili <malattia@debian.org>  Sun, 24 Sep 2006 11:13:47 +0200

cpufreqd (2.2.0-1) unstable; urgency=low

  * Updated debconf messages:
    - German, thanks to Erik Schanze
    - Vietnamese, thanks to Clytie Siddall
    - Japanese, thanks to Hideki Yamane
  * set debconf priority to "error" as we're only displaying errors.
    (Closes: #388879)

 -- Mattia Dongili <malattia@debian.org>  Sat, 23 Sep 2006 18:18:33 +0200

cpufreqd (2.1.1-1) unstable; urgency=low
  
  * New upstream release:
    - fix incorrect use of stdargs, thanks to Aurelien Jarno (Closes: #374579)
  * Added debconf message:
    - Korean, thanks to Sunjae Park (Closes: #374376)
    - Hebrew, thanks to Lior Kaplan
  * Updated debconf messages:
    - Japanese, thanks to Osamu Aoki
    - French, thanks to Florentin Duneau (Closes: #374563)
    - Lithuanian, thanks to Gintautas Miliauskas (Closes: #374970)

 -- Mattia Dongili <malattia@debian.org>  Thu, 22 Jun 2006 19:16:53 +0200

cpufreqd (2.1.0-1) unstable; urgency=low
  
  * New upstream release:
    - fixes race in SIGLARM handling that prevented functioning after 
      suspend (Closes: #350736).
  * Added debconf message:
    - Portuguese, thanks to AndrÃ© Costa (Closes: #362986)
    - Hungarian, thanks to SZERVÃÂC Attila (Closes: #374179)
    - Basque, thanks to Piarres Beobide
    - Romanian, thanks to Eddy Petrisor (Closes: #374333)
    - Lithuanian, thanks to Gintautas Miliauskas (Closes: #374291)

