=== debian/control ===
Source: cpufreqd
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), quilt, automake, libtool, libsensors-dev, libcpufreq-dev [!powerpc !ppc64 !ppc64el], libcpupower-dev[powerpc ppc64 ppc64el], libsysfs-dev (>= 2.0.0)
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/cpufreqd

Package: cpufreqd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0)
Conflicts: cpudyn, powernowd
Recommends: acpid [amd64 i386 ia64]
Suggests: cpufrequtils
Description: fully configurable daemon for dynamic frequency and voltage scaling
 cpufreqd is meant to be a replacement of the speedstep applet you can find on
 some other OS, it monitors the system status and selects the most appropriate
 CPU level.  It is fully configurable and easily extensible through the many
 available plug-ins (more to come).
 Despite its name it can be used to control also the NForce2-Atxp1 voltage
 regulator and the core and memory clock for NVidia cards (see README.Debian).
 .
 You need a CPUFreq driver and either APM, ACPI (a recent version) or PMU
 enabled in your kernel in order for this daemon to work.
